=head1 NAME

Gtk2::Gdk::Event::Crossing

=for position post_hierarchy

=head1 HIERARCHY

  Gtk2::Gdk::Event
  +----Gtk2::Gdk::Event::Crossing

=cut




=head1 METHODS

=head2 notifytype = $eventcrossing-E<gt>B<detail> ($newvalue=0)

=over

=over

=item * $newvalue (Gtk2::Gdk::NotifyType) 

=back

=back

=head2 boolean = $eventcrossing-E<gt>B<focus> ($newvalue=0)

=over

=over

=item * $newvalue (boolean) 

=back

=back

=head2 crossingmode = $eventcrossing-E<gt>B<mode> ($newvalue=0)

=over

=over

=item * $newvalue (Gtk2::Gdk::CrossingMode) 

=back

=back

=head2 window or undef = $event-E<gt>B<subwindow> ($newvalue=undef)

=over

=over

=item * $newvalue (Gtk2::Gdk::Window or undef) 

=back

=back

=head2 double = $event-E<gt>B<x> ($newvalue=0.0)

=over

=over

=item * $newvalue (double) 

=back

=back

=head2 double = $event-E<gt>B<y> ($newvalue=0.0)

=over

=over

=item * $newvalue (double) 

=back

=back


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::Gdk::CrossingMode

=over

=item * 'normal' / 'GDK_CROSSING_NORMAL'

=item * 'grab' / 'GDK_CROSSING_GRAB'

=item * 'ungrab' / 'GDK_CROSSING_UNGRAB'

=back


=head2 enum Gtk2::Gdk::NotifyType

=over

=item * 'ancestor' / 'GDK_NOTIFY_ANCESTOR'

=item * 'virtual' / 'GDK_NOTIFY_VIRTUAL'

=item * 'inferior' / 'GDK_NOTIFY_INFERIOR'

=item * 'nonlinear' / 'GDK_NOTIFY_NONLINEAR'

=item * 'nonlinear-virtual' / 'GDK_NOTIFY_NONLINEAR_VIRTUAL'

=item * 'unknown' / 'GDK_NOTIFY_UNKNOWN'

=back



=head1 SEE ALSO

L<Gtk2>

=head1 COPYRIGHT

Copyright (C) 2003-2005 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

